=== Makefile ===
CMAKE_OPTIONS = -DCMAKE_BUILD_TYPE=Debug -DCMAKE_VERBOSE_MAKEFILE=0
CMAKE_RELEASE_OPTIONS = -DCMAKE_BUILD_TYPE=Release -DCMAKE_VERBOSE_MAKEFILE=0 -DCMAKE_INSTALL_PREFIX=/usr

all: build/Makefile lrelease
	make -C build all

build/Makefile:
	[ -d build ] || mkdir build; \
	cd build && cmake $(CMAKE_OPTIONS) ..



release:
	[ -d release ] || mkdir release; \
	cd release && cmake $(CMAKE_RELEASE_OPTIONS) .. && make && make lrelease

lupdate: build/Makefile
	make -C build lupdate

lrelease: build/Makefile
	make -C build lrelease

clean:
	rm -rf build
	rm -rf release

.PHONY: all clean lupdate lrelease release
