=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 release:
 	[ -d release ] || mkdir release; \
-	cd release && cmake $(CMAKE_RELEASE_OPTIONS) .. && make && make lrelease
+	cd release && cmake $(CMAKE_RELEASE_OPTIONS) .. && make lrelease && make
 
 lupdate: build/Makefile
 	make -C build lupdate
