=== debian/changelog ===
nuapplet (2.3.0-2) unstable; urgency=low

  * Bump Standards Version to 3.9.3
  * Convert to source format 3.0 (quilt)
  * Switch to debhelper 9
  * Add 10_ftbfs_gcc47.patch to fix FTBFS with g++-4.7 (Closes: #667301)

 -- Pierre Chifflier <pollux@debian.org>  Sat, 21 Apr 2012 16:13:38 +0200

nuapplet (2.3.0-1) unstable; urgency=high

  * Imported Upstream version 2.3.0
    Add support for new (>= 2.4) libnuclient API (Closes: #573667)
  * Urgency high, RC bug
  * Bump standards version to 3.8.4
  * Update homepage location
  * Update dependencies on libnuclient and libnussl >= 2.4.0

 -- Pierre Chifflier <pollux@debian.org>  Mon, 17 May 2010 15:15:59 +0200

nuapplet (2.2-3) unstable; urgency=medium

  * Add pkg-config to build deps (Closes: #477020)
  * Urgency=medium because of bug severity

 -- Pierre Chifflier <pollux@debian.org>  Sun, 27 Apr 2008 17:46:46 +0200

nuapplet (2.2-2) unstable; urgency=low

  * Fix FTBFS (Closes: #477020)

 -- Pierre Chifflier <pollux@debian.org>  Sun, 20 Apr 2008 18:19:18 +0200

nuapplet (2.2-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version (no changes)
  * Add Homepage header

 -- Pierre Chifflier <pollux@debian.org>  Mon, 10 Dec 2007 11:14:58 +0100

nuapplet (2.0-2) unstable; urgency=low

  * Add missing build-dep on cmake (Closes: #449197)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 05 Nov 2007 15:32:02 +0100

nuapplet (2.0-1) unstable; urgency=low

  * Initial release (Closes: #448135)

 -- Pierre Chifflier <pollux@debian.org>  Fri, 26 Oct 2007 09:45:11 +0200
