=== debian/control ===
Source: nuapplet
Section: net
Priority: extra
Maintainer: Pierre Chifflier <pollux@debian.org>
Build-Depends: debhelper (>= 9),
        libnuclient-dev (>= 2.4.0),
        libnussl-dev (>= 2.4.0),
        libqt4-dev (>= 4.2.1),
        cmake,
        pkg-config
Standards-Version: 3.9.3
Homepage: http://www.nufw.org/projects/nuapplet2/wiki/

Package: nuapplet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Graphical client for NuFW
 NuApplet2 is a systray application for the authenticating firewall NuFW,
 written in Qt.
 .
 It is compliant with FreeDesktop and can be used with several desktop
 environments.
