=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_build:
	$(MAKE) release

override_dh_auto_install:
	cd release && $(MAKE) DESTDIR=$(CURDIR)/debian/nuapplet install

override_dh_clean:
	rm -f lang/nuapplet2_fr_FR.qm
	dh_clean

%:
	dh $@
